summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2018-04-28 08:22:34 +0200
committerHans de Graaff <graaff@gentoo.org>2018-04-28 08:32:40 +0200
commit26a76b5cc029bf44339e28d16ad97fc89609696a (patch)
treefc3b9b1075a8ce5f0e178ea3341c89517115ecea /dev-ruby/http/http-3.3.0.ebuild
parentdev-ruby/shoulda: add ruby25 (diff)
downloadgentoo-26a76b5cc029bf44339e28d16ad97fc89609696a.tar.gz
gentoo-26a76b5cc029bf44339e28d16ad97fc89609696a.tar.bz2
gentoo-26a76b5cc029bf44339e28d16ad97fc89609696a.zip
dev-ruby/http: add 3.3.0
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'dev-ruby/http/http-3.3.0.ebuild')
-rw-r--r--dev-ruby/http/http-3.3.0.ebuild43
1 files changed, 43 insertions, 0 deletions
diff --git a/dev-ruby/http/http-3.3.0.ebuild b/dev-ruby/http/http-3.3.0.ebuild
new file mode 100644
index 00000000000..99051aa01e3
--- /dev/null
+++ b/dev-ruby/http/http-3.3.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23 ruby24"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="An easy-to-use client library for making requests from Ruby"
+HOMEPAGE="https://github.com/tarcieri/http"
+
+LICENSE="MIT"
+SLOT="3"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86"
+IUSE=""
+
+ruby_add_rdepend "
+ >=dev-ruby/addressable-2.3:0
+ >=dev-ruby/http-cookie-1.0:0
+ >=dev-ruby/http-form_data-1.0.1:1.0
+ >=dev-ruby/http_parser_rb-0.6.0 =dev-ruby/http_parser_rb-0.6*"
+
+ruby_add_bdepend "
+ test? ( dev-ruby/certificate_authority dev-ruby/rspec-its )"
+
+all_ruby_prepare() {
+ sed -i -e '/simplecov/,/end/ s:^:#:' \
+ -e '1irequire "cgi"' spec/spec_helper.rb || die
+
+ # Avoid specs that require network access
+ sed -i -e '/.persistent/,/^ end/ s:^:#:' \
+ spec/lib/http_spec.rb || die
+ sed -i -e '/with non-ASCII URLs/,/^ end/ s:^:#:' \
+ spec/lib/http/client_spec.rb || die
+
+ # Avoid spec that may fail with a running web server
+ sed -i -e '/unifies socket errors into HTTP::ConnectionError/,/^ end/ s:^:#:' spec/lib/http_spec.rb || die
+}